> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tavus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Learned Timeline Memory

> Deletes one timeline entry. Provide exactly one of `timestamp`, `date`, `week`, or `month`.

<Info>
  Identify exactly one timeline entry with `timestamp`, `date`, `week`, or `month`.
</Info>


## OpenAPI

````yaml delete /v2/memory-stores/{memory_store_id}/learned/timeline
openapi: 3.0.3
info:
  title: Tavus Developer API Collection
  version: 1.0.0
  contact: {}
servers:
  - url: https://tavusapi.com
security:
  - apiKey: []
tags:
  - name: Videos
  - name: Faces
  - name: Voices
  - name: Conversations
  - name: Deployments
  - name: PALs
  - name: Tools
  - name: PAL Tools
  - name: Pronunciation Dictionaries
  - name: Replacements
  - name: Transcriptions
  - name: Documents
  - name: Memory Stores
paths:
  /v2/memory-stores/{memory_store_id}/learned/timeline:
    parameters:
      - $ref: '#/components/parameters/memoryStoreId'
    delete:
      tags:
        - Memory Stores
      summary: Delete Learned Timeline Memory
      description: >-
        Deletes one timeline entry. Provide exactly one of `timestamp`, `date`,
        `week`, or `month`.
      operationId: deleteLearnedTimelineMemory
      parameters:
        - name: timestamp
          in: query
          required: false
          description: Timestamp of one recent-conversation entry.
          schema:
            type: string
          example: '2026-08-24T19:00:00Z'
        - name: date
          in: query
          required: false
          description: Date of one daily entry.
          schema:
            type: string
            format: date
          example: '2026-08-24'
        - name: week
          in: query
          required: false
          description: Date range of one weekly entry.
          schema:
            type: string
          example: 2026-08-24/2026-08-30
        - name: month
          in: query
          required: false
          description: Month of one monthly entry.
          schema:
            type: string
            pattern: ^[0-9]{4}-[0-9]{2}$
          example: 2026-08
      responses:
        '204':
          description: Timeline entry deleted
        '400':
          description: Bad Request - provide exactly one supported timeline key
        '401':
          description: Unauthorized
        '403':
          description: The caller does not own this memory store
        '404':
          description: Memory store or timeline entry not found
      security:
        - apiKey: []
components:
  parameters:
    memoryStoreId:
      name: memory_store_id
      in: path
      required: true
      description: Memory store identifier.
      schema:
        type: string
        minLength: 2
        maxLength: 64
        pattern: ^m[a-z0-9]+$
      example: m123456789abc
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````